%define name 	matchbox-window-manager
%define version 0.8.4
%define release 1mdk

Summary: 	Window manager for the Matchbox Desktop
Name: 		%name
Version: 	%version
Release: 	%release
Url: 		http://matchbox.handhelds.org/
License: 	GPL
Group: 		Graphical desktop/Other
Source: 	%{name}-%{version}.tar.bz2

Buildroot: 	%_tmppath/%name-%version-buildroot
BuildRequires:	pkgconfig libmatchbox-devel expat-devel libGConf2-devel
BuildRequires:	startup-notification-devel libXsettings-client-devel
PreReq:		GConf2

%description
Matchbox is a base environment for the X Window System running on non-desktop
embedded platforms such as handhelds, set-top boxes, kiosks and anything else
for which screen space, input mechanisms or system resources are limited.

This package contains the window manager from Matchbox.

%prep
%setup -q

%build
%configure2_5x --enable-gconf --enable-expat --enable-message-wins --enable-startup-notification
%make

%install
rm -rf $RPM_BUILD_ROOT
perl -p -i -e 's|install-data-local:|||g' data/schemas/Makefile
%makeinstall

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/matchbox.schemas > /dev/null

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS README ChangeLog
%_bindir/*
%_sysconfdir/gconf/schemas/matchbox.schemas
%_datadir/matchbox/*
%_datadir/themes/*

%changelog
* Wed Sep 29 2004 Austin Acton <austin@mandrake.org> 0.8.4-1mdk
- 0.8.4

* Mon Aug 23 2004 Austin Acton <austin@mandrake.org> 0.8.3-2mdk
- fix schemas

* Mon Aug 23 2004 Austin Acton <austin@mandrake.org> 0.8.3-1mdk
- 0.8.3

* Tue Aug 10 2004 Austin Acton <austin@mandrake.org> 0.8.2-3mdk
- buildrequires xsettings

* Tue Jul 27 2004 Austin Acton <austin@mandrake.org> 0.8.2-1mdk
- enable startup-notification

* Mon Jul 20 2004 Austin Acton <austin@mandrake.org> 0.8.2-1mdk
- 0.8.2

